package messagequeue

import (
	"os"
	"query-service/internal/errorhandler"
	"strconv"
	"time"

	"github.com/thijsheijden/alice"
)

// Create creates a broker
func Create() *alice.RabbitBroker {
	// Create connection config using environment variables
	rabbitUser := os.Getenv("RABBIT_USER")
	rabbitPassword := os.Getenv("RABBIT_PASSWORD")
	rabbitHost := os.Getenv("RABBIT_HOST")
	rabbitPort, err := strconv.Atoi(os.Getenv("RABBIT_PORT"))
	if err != nil {
		errorhandler.FailWithError(err, "port should be a number")
	}

	config := alice.CreateConfig(rabbitUser, rabbitPassword, rabbitHost, rabbitPort, true, time.Minute*1, alice.DefaultErrorHandler)

	broker := alice.CreateBroker(config)
	return broker
}
